#ifndef DOS_DEBUG_SUPPORT
#define DOS_DEBUG_SUPPORT

#include "config.h"
#include "dospipe_internal.h"

# if (DOS_PIPE_DEBUG - 1) == 0
void log_pipe_creation(const int index, const struct pipe_t *pipe_line);
void log_pipe_operation(const int index, const char *operation, const char *status, const struct pipe_t *pipe_line);
void log_pipe_dump_used_fd_array(const bool *const fd_in_use);
void create_log_pipe_files(void);
void close_log_pipe_files(void);
# endif /* DOS_PIPE_DEBUG */
#endif /* DOS_DEBUG_SUPPORT */
